Subject: Re: Cygwin Mail and Exchange Server
From: Reid Thompson <[email-masked]>
To: Ronald Fischer <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 May 2008 09:24:10 -0400
List-Id: <cygwin.cygwin.com>

I generally use mutt on the command line

ssmtp must still be configured and you need to answer YES to linking
sstmp to sendmail

$ mutt -x -s "the subject" [email-masked]

$ mutt -x -s "the subject" -a "/path/to/file/to/attach"  [email-masked]

$ (uuencode afile afile) | mutt -x -s "subject" [email-masked]

etc,etc

see the mutt page on the web for more info.

I often use cygwin mutt to read my exchange mail via imap when other email clients aren't available.

reid

On Mon, 2008-05-19 at 12:28 +0000, Ronald Fischer wrote:
> Dave Korn <dave.korn <at> artimi.com> writes:
>  
> > > at a customer's site, I would like to be able to send email from
> > > bash scripts. The setup of the software is pretty standard: Usually
> > > mail is sent and read using Outlook, and there is an Exchange server
> > > lurking somewhere to do the job. What do I have to do in such an
> > > environment in order to be able to send mail from cygwin?
> > 
> >   You need to ask your admins for POP and SMTP access details of your
> > exchangeserver, 
> 
> I guess in my case (sending only) I just need SMTP. Or is it necessary
> that ssmtp.conf always contains POP too? And, AFIK, the access method
> to the exchange server is not POP, but IMAP...
> 
> > then you'd probably enter those details into your
> > /etc/ssmtp/ssmtp.conf (or equivalent depending what mailer you're using).
> 
> Is there a simpler command line utility for sending mail - I mean, 
> simpler than ssmtp -, which you could recommend?
>  
> > > I thought this is such a common setup that there must be somewhere a
> > > "howto" for this subject, but I searched the Cygwin FAQ, the Cygwin
> > > User Guide, and /usr/doc/cygwin without success. Isn't there a Cygwin
> > > utility which simply uses the settings in Outlook to send the mail?
> > 
> >   Nope.  It's not like Microsoft have documented how any of that stuff is
> > stored, after all.  
> > And since Cygwin is mostly ports of Linux stuff, and
> > Linux doesn't have any such things as outlook or exchange server, none of
> > the linux software that gets ported is written to even consider it.
> 
> Understandable...
> 
> Thanks a lot,
> 
> Ronald Fischer
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/